package com.bonus.core.drp.constant;

public enum DrpOutInventoryStatusEnum {
   SAVE(1, "待出库"),
   COMMIT(2, "已出库");

   private final Integer key;
   private final String value;

   private DrpOutInventoryStatusEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public static Integer getKey(String value) {
      DrpOutInventoryStatusEnum[] enums = values();
      DrpOutInventoryStatusEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpOutInventoryStatusEnum temp = var2[var4];
         if (temp.value().equals(value)) {
            return temp.key();
         }
      }

      return null;
   }

   public static String getValue(Integer key) {
      DrpOutInventoryStatusEnum[] enums = values();
      DrpOutInventoryStatusEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpOutInventoryStatusEnum temp = var2[var4];
         if (temp.key().equals(key)) {
            return temp.value();
         }
      }

      return null;
   }

   public Integer key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }

}
